%%  11:04 AM Wednesday, April 19, 2023
%% yukio yoshida
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 18)

\paper{ paper-height = 280\mm
}

\header {
  dedication = "Wordless Poem"
  title = "Flowers and Little birds"
  subtitle = "Under the Blue Skay"
  subsubtitle = "Landscape of ees major"
  instrument = \markup \center-column {
                   "soprano; C clef on 1st line,   alto; C clef on 3rd line."
                   "     tenor; C clef on 4th line,   bass; F clef on 4th line." }
  composer = \markup { \italic "yukio yoshida" }
  meter = "Largo"
  arranger = \markup{\tiny "No.29(May. 30, 2008)"}
copyright = "public Domain"
%% tagline = " "
}

%% --- Soprano part ---------------------------------------------------------------
soprano = {
        \autoBeamOff
        \partial 8 r8^\< |
%%1-3
        bes'8 r16 bes'8 r16 c''4. g'8 r16 g'8 r16 aes'4 r8 |
        aes'8 r16 aes'8 r16 bes'4. c''8 r16 c''8 r16 d''4 r8\! |
        aes'8 g' f' ees' aes'4 d'2 f'8 g' |
\break
%%4-7
        c''8 bes' aes' bes  aes'4 c''2 bes'8 aes' |
        bes'8 r16 aes'8^\ff^\> r16 f'8 ees'4 aes'2 g'4\! |
        c''2^\> c' aes'\! ~ |
        aes'4 g'16 r16 bes'8 c''4. f'16 r16 aes'8 bes'4.|
\break
%%8-11
        r2 d''8 c'' bes'2 c''8 bes' | aes'2 g'2. f'8 g' |
        aes' bes' aes' g' ees'4. c''2~ c''8 |
        d''1 c''8 bes' aes'16 g' f' ees' |
\break
%%12-15
        r8 c'2. d'8 ees'16 f' d'4 c'8 | d'2._\( c' | d' c' | d'2 ees' f'\) |
\break
%%16-19
        bes'8( f''4.) ees''8 d'' c''4 bes'8 aes' g'4 |
        ees'2 g'8 aes' c''2 ees''8 g''~ | g''4 f'' g''8 f'' ees''2. |
        g'8 f' ees'2. c'4 d' |
\break
%%20-23
        \dimTextDecresc
        \times 3/4 {aes'2^\> c'' aes' bes' | g' bes' g' aes' |
        ees' g' ees' f' | d' f' d' ees'\! | }
\break
%%24-28
        d'1 ees'2 | c' ees' g' | bes' d'' c'' | aes' f' d'~ | d'1.^\fermata |
        \bar "|."
}


sopranoM = {
        \autoBeamOff
        \partial 8 r8^\ppppp |
        bes'8^\ppppp^\< r16 bes'8 r16 c''4. g'8 r16 g'8 r16 aes'4 r8 |
        aes'8 r16 aes'8 r16 bes'4. c''8 r16 c''8 r16 d''4^\ppp\! r8 |
        aes'8 g' f' ees' aes'4 d'2 f'8 g' |
\break
        c''8 bes' aes' bes  aes'4 c''2 bes'8 aes' |
        bes'8 r16 aes'8^\ff^\> r16 f'8^\f ees'4^\mf aes'2^\pp g'4^\ppp\! |
        c''2^\f c'^\pp aes'^\ppp ~ |
        aes'4^\f g'16 r16 bes'8 c''4. f'16 r16 aes'8 bes'4. |
\break
        r2 d''8 c'' bes'2 c''8 bes' | aes'2 g'2. f'8 g' |
        aes' bes' aes' g' ees'4. c''2~ c''8 |
        d''1 c''8 bes' aes'16 g' f' ees' |
\break
        r8 c'2. d'8 ees'16 f' d'4 c'8 | d'2.^\( c' | d' c' | d'2 ees' f'\) |
\break
        bes'8( f''4.) e''8 d'' c''4 bes'8 aes' g'4 |
        ees'2 g'8 aes' c''2 ees''8 g'' | g''4 f'' g''8 f'' ees''2. |
        g'8 f' ees'2. c'4 d' |
\break
        \dimTextDecresc
        \times 3/4 {aes'2^\> c'' aes' bes' | g' bes' g' aes' |
        ees' g' ees' f' | d' f' d' ees'\! | }
\break
        d'1 ees'2 | c' ees' g' | bes' d'' c'' | aes' f' d'~ | d'1.^\fermata
        \bar "|."
}


%% --- Alto part ------------------------------------------------------------------
alto = {
        \autoBeamOff
        \partial 8 r8^\< |
%%1-3
        ees'2. ees'2~ ees'8 r8 | d'2. ees'2~ ees'8 r8\! |
        ees'4 f'2 g'4 ees'2 |
\break
%%4-7
       f'4 g' c' f'2 g'4 | d'4 ees'8 f' g'4. f'8 ees'2~ |
       ees'^\<~ ees'~ ees'^\ff\! | r4 c'2 r4 bes2 |
\break
%%8-11
       g'1._\(^\mp^\> | g'1. | g'1. | g'1.* 7/8^\) s1.* 1/8\!  |
\break
%%12-15
        c'2..^\pp d'8 ees'16 f' d'4 c'8 | aes'4 bes'8 f'16 bes'8 f'2. g'8. |
        bes'4 c''8 g'16 c''8 g'2. aes'8. | bes2. c'8 g16 c'8 g4 aes8. |
\break
%%16-19
        bes4 c'8 d' ees'4 f'8 g' aes'2 |
        c''4 aes' f' d' c' bes4 | g'4 f' g'8 f' ees' d' ees' f'4. |
        bes'8 c''4. aes'8 c''4. aes'8 bes'4. |
\break
%%20-23
        \dimTextDecresc
        aes'4.^\> c'' aes' bes' | g' bes' g' aes' | ees' g' ees' f' |
        d' f' d' ees'\! |
\break
        d'1 ees'2 | c'1. | bes' | aes'2 f' d'~ | d'1.^\fermata
        \bar "|."
\break

}

altoM = {
        \autoBeamOff
        \partial 8 r8^\pppp |
        ees'2.^\pppp^\< ees'2~ ees'8 r8 | d'2. ees'2~ ees'8^\ppp\! r8 |
        ees'4 f'2 g'4 ees'2 |
\break
       f'4 g' c' f'2 g'4 | d'4 ees'8 f' g'4. f'8 ees'2~ |
       ees'^\<~ ees'~ ees'^\ff\! | r4 c'2^\f r4 bes2^\p |
\break
       g'1.^\mp  | g'1.^\ppp  | g'1.^\pppp  | g'1.^\ppppp |
\break
        c'2..^\pp d'8 ees'16 f' d'4 c'8 | aes'4 bes'8 f'16 bes'8 f'2. g'8. |
        bes'4 c''8 g'16 c''8 g'2. aes'8. | bes2. c'8 g16 c'8 g4 aes8. |
\break
        bes4 c'8 d' ees'4 f'8 g' aes'2 |
        c''4 aes' f' d' c' bes4 | g'4 f' g'8 f' ees' d' ees' f'4. |
        bes'8 c''4. aes'8 c''4. aes'8 bes'4. |
\break
        \dimTextDecresc
        aes'4.^\> c'' aes' bes' | g' bes' g' aes' | ees' g' ees' f' |
        d' f' d' ees'\! |
\break
        d'1 ees'2 | c'1. | bes' | aes'2 f' d'~ | d'1.^\fermata
        \bar "|."
}

%% --- tenor ----------------------------------------------------------------------
tenor = {
        \autoBeamOff
        \partial 8 bes8^\< ~ |
%%1-3
        bes2. bes2~ bes8 r8 | aes2. bes2.*5/6 s2.*1/6\! |
        c'1 bes2 |
\break
%%4-7
        c'4 d' aes4. bes8 c'4 d' | d'8 c' bes aes c'2 bes2~ |
        bes2^\<~ bes~ bes^\ff\! | r4 aes2 r4 g2 |
\break
%%8-11
        ees'1._\(^\mp^\> | ees'1. | ees'1. | ees'1.* 7/8\) s1.*1/8\! |
\break
%%12-15
        c'2..^\pp d'8 ees'16 f' d'4 c'8 | d'2^\( c' d' |
        ees'2 d' ees' | f'2. g'\) |
\break
%%16-19
        g'1^\( aes'2 | g'2 aes'1 | g'1 f'4 aes'~ | aes'2. g'4 f'2\) |
\break
%%20-23
        \dimTextDecresc
        g'4.^\> bes' g' aes' | f' aes' f' g' | d' f' d' ees' | c' g' c' d'\! |
\break
%%23-27
        c'1 d'2 | bes1. | aes' | g'2 ees' c'~ | c'1.^\fermata
        \bar "|."
}

tenorM = {
        \autoBeamOff
        \partial 8 bes8^\pppp ~ |
        bes2.^\pppp^\< bes2~ bes8 r8 | aes2. bes2.^\ppp\! |
        c'1 bes2 |
\break
        c'4 d' aes4. bes8 c'4 d' | d'8 c' bes aes c'2 bes2~ |
        bes2^\<~ bes~ bes^\ff\! | r4 aes2^\f r4 g2^\p |
\break
        ees'1.^\mp | ees'1.^\ppp | ees'1.^\pppp | ees'1.^\ppppp |
\break
        c'2..^\pp d'8 ees'16 f' d'4 c'8 | d'2^\( c' d' |
        ees'2 d' ees' | f'2. g'\) |
\break
        g'1^\( aes'2 | g'2 aes'1 | g'1 f'4 aes'~ | aes'2. g'4 f'2\) |
\break
        \dimTextDecresc
        g'4.^\> bes' g' aes' | f' aes' f' g' | d' f' d' ees' | c' g' c' d'\! |
\break
        c'1 d'2 | bes1. | aes' | g' ees' c'~ | c'1.^\fermata
        \bar "|."
}

%% --- Bass part ------------------------------------------------------------------
bass = {
        \autoBeamOff
        \partial 8 c8^\< ~ |
%%1-3
        c8 r16 c8 r16 bes,4. aes,8 r16 aes,8 r16 c4 r8 |
        bes,2 g8 aes g f ees d c4*2/3 s4*1/3^\! |
        bes,4 d2 c8 aes c2 |
\break
%%4-7
        aes8 g f ees f4 aes2 g8 f | g2 c4. d8 r16 ees8^\ff^\> r16 c8 bes,\! |
        aes,2^\> aes ees\! ~ |
        ees4 \stemDown d16 \stemNeutral r16 f8 g4. c16 r16 ees8 f4. |
\break
%%8-11
        r2 c8 d ees2 f8 g | aes2 bes2. f8 ees |
        d c d ees f4. aes2( bes8) | c'1^\f^\>~ c'4\! g16 f ees d |
\break
%%12-15
        r8 c2. d8 ees16 f d4 c8 | aes2. bes8 f16 bes8 f4 g8. |
        bes2. c'8 g16 c'8 g4 aes8. | bes,4 c8 g,16 c8 g,2. aes,8. |
\break
%%16-19
        bes,2.^\( c | bes, c | bes,2 aes, c~ | c2. d4 ees f\) |
\break
%%20-23
        \dimTextDecresc
        \times 3/4 {g2^\> bes g aes | f aes f g | d f d ees | c g c d\! | }
\break
%%24-27
        c1 d2 | bes, d f | aes c' bes | g ees c~ | c1._\fermata
        \bar "|."
}

bassM = {
        \autoBeamOff
        \partial 8 c8^\pppp\< ~ |
        c8 r16 c8 r16 bes,4. aes8 r16 aes8 r16 c4 r8 |
        bes,2 g8 aes g f ees d c4^\ppp\! |
        bes,4 d2 c8 aes c2 |
\break
        aes8 g f ees f4 aes2 g8 f | g2 c4. d8 r16 ees8^\ff^\> r16 c8^\p bes,^\ppp\! |
        aes,2^\> aes ees\! ~ |
        ees4 \stemDown d16 \stemNeutral r16 f8 g4. c16 r16 ees8 f4. |
\break
        r2 c8 d ees2 f8 g | aes2 bes2. f8 ees |
        d c d ees f4. aes2( bes8) | c'1^\mf^\>~ c'4^\p\! g16 f ees d |
\break
        r8 c2.^\p d8 ees16 f d4 c8 | aes2. bes8 f16 bes8 f4 g8. |
        bes2. c'8 g16 c'8 g4 aes8. | bes,4 c8 g,16 c8 g,2. aes,8. |
\break
        bes,2.^\( c | bes, c | bes,2 aes, c~ | c2. d4 ees f\) |
\break
        \dimTextDecresc
        \times 3/4 {g2^\> bes g' aes | f aes f g | d f d ees | c g c d\! | }
\break
        c1 d2 | bes, d f | aes c' bes | g ees c~ | c1._\fermata
        \bar "|."
}


%% get sheet music --------------------------------------------------------
\score {
         <<
           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" \with { \consists Ambitus_engraver}
                      { \clef soprano \key ees\major \time 3/2
                        \set Staff.instrumentName = "soprano" \soprano }
           %%             \new Lyrics \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" \with { \consists Ambitus_engraver}
                      { \clef alto \key ees\major \time 3/2
                        \set Staff.instrumentName = "alto   " \alto }
           %%             \new Lyrics \lyricsto "alto" { \altoL }

           \new Voice = "tenore" \with { \consists Ambitus_engraver}
                      { \clef tenor \key ees\major \time 3/2
                        \set Staff.instrumentName = "tenor  " \tenor }
           %%             \new Lyrics \lyricsto "tenore" { \tenoreL }

           \new Voice = "bass" \with { \consists Ambitus_engraver}
                      { \clef bass \key ees\major \time 3/2
                        \set Staff.instrumentName = "bass   " \bass }
           %%             \new Lyrics \lyricsto "bass" { \bassL }
                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key ees\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key ees\major \time 3/3
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout { }
       }

%% get midi music ---------------------------------------------------------
\score {
         <<
           \new Staff { \clef soprano \key ees\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key ees\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats          \altoM }

           \new Staff { \clef tenor \key ees\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats       \tenorM }

           \new Staff { \clef bass \key ees\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats          \bassM }

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key ees\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key ees\major \time 3/3
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>
         >>

   \midi {
           tempoWholesPerMinute = #(ly:make-moment 46 4)
           }
        }
